/* Font Montserrat */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap");

:root {
  --main-color: rgb(0, 0, 0);
  --sub-color: rgb(71, 71, 71);
  --bg-color: rgba(68, 76, 161, 0.5);
  --text-blue: rgb(51, 54, 77);
  --text-white: #fff;
  --card-color: rgb(168, 120, 31);
}

*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

li {
  list-style: none;
}

a {
  color: var(--main-color);
  text-decoration: none;
}

body {
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
  overflow-y: visible;
  overflow-x: hidden;
  font-size: 1.15rem;
  font-family: "Montserrat", sans-serif;
  background-color: var(--bg-color);
  color: var(--main-color);
}

img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.app-header {
  text-align: center;
  font-size: 5rem;
  text-transform: uppercase;
  letter-spacing: 0.5rem;
  margin-top: 1rem;
  margin-bottom: 2rem;
}

.list-pokemon {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.pokemon {
  background-color: var(--card-color);
  width: 200px;
  height: 200px;
  overflow: hidden;
  padding: 1rem;
  border-radius: 2rem;
  display: flex;
  flex-direction: column;
  cursor: pointer;
}

.pokemon .pokemon-id {
  color: var(--text-white);
}

.pokemon .pokemon-name {
  font-size: 1.5rem;
  text-align: center;
  text-transform: capitalize;
}

.pokemon .pokemon-img {
  width: 100px;
  height: 80px;
  margin: auto;
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 3rem auto;
  padding: 1rem;
  background-color: rgb(246, 255, 167);
  border-radius: 1rem;
  width: max-content;
  font-weight: 700;
  border: 1px solid transparent;
  cursor: pointer;
  transition: all 0.3s linear;
}

.btn:hover {
  background-color: var(--text-white);
  border: 1px solid var(--card-color);
  color: var(--main-color);
}